#ifdef debug_util_c


void delayN(uint32_t n);  
uint8_t D2C(uint8_t c);
void OutDev0(char c); 
void OutStr(const char *text);
void monprintf( char *msg, ... );


#else

extern void delayN(uint32_t n);  
extern uint8_t D2C(uint8_t c);
extern void OutDev0(char c); 
extern void OutStr(const char *text);
extern void monprintf( char *msg, ... );
extern void put_cr(void);				
extern void put_charp(unsigned char a);				
extern uint32_t string_to_int(uint8_t *buf);
extern uint16_t programDword_data_flash(uint32_t address, uint32_t* data);

#endif


